+++
title = "Configuration file"
weight = 5
+++

In the [quickstart](@/documentation/quick-start/_index.md), you launched Aerogramme in "development mode", that do not require a configuration file. But for a real-world usage, you will need to specificy many things: how your users are managed, which port to use, how and where data is stored, etc.

## A first configuration file

Let's start with the following configuration file:

```toml
role = "Provider"
pid = "aerogramme.pid"

[imap]
bind_addr = "[::]:1143"

[lmtp]
bind_addr = "[::1]:1025"
hostname = "example.tld"

[users]
user_driver = "Static"
user_list = "users.toml"
```

Copy this content in a file named `aerogramme.toml`.
Also create an empty file named `users.toml` (Aerogramme does not know how to create it automatically yet).

And then you can start Aerogramme with the following configuration file:

```bash
aerogramme -c aerogramme.toml provider daemon
```
